Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.io
Class UTF8Reader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--org.apache.xerces.impl.io.UTF8Reader

public class UTF8Reader
extends java.io.Reader

Version:
  $Id: UTF8Reader.java,v 1.5 2002/07/23 20:53:19 neilg Exp $
Author:
  Andy Clark, IBM

Field Summary
`static int` | `DEFAULT_BUFFER_SIZE` Default byte buffer size (2048).
`protected byte[]` | `fBuffer` Byte buffer.
`protected java.io.InputStream` | `fInputStream` Input stream.
`protected int` | `fOffset` Offset into buffer.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`UTF8Reader(java.io.InputStream inputStream)` Constructs a UTF-8 reader from the specified input stream using the default buffer size.
`UTF8Reader(java.io.InputStream inputStream, int size, MessageFormatter messageFormatter, java.util.Locale locale)` Constructs a UTF-8 reader from the specified input stream, buffer size and MessageFormatter.
`UTF8Reader(java.io.InputStream inputStream, MessageFormatter messageFormatter, java.util.Locale locale)` Constructs a UTF-8 reader from the specified input stream using the default buffer size and the given MessageFormatter.

Method Summary
`void` | `close()` Close the stream.
`void` | `mark(int readAheadLimit)` Mark the present position in the stream.
`boolean` | `markSupported()` Tell whether this stream supports the mark() operation.
`int` | `read()` Read a single character.
`int` | `read(char[] ch, int offset, int length)` Read characters into a portion of an array.
`boolean` | `ready()` Tell whether this stream is ready to be read.
`void` | `reset()` Reset the stream.
`long` | `skip(long n)` Skip characters.

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

  Default byte buffer size (2048).

### fInputStream

    protected java.io.InputStream fInputStream

  Input stream.

### fBuffer

    protected byte[] fBuffer

  Byte buffer.

### fOffset

    protected int fOffset

  Offset into buffer.

Constructor Detail

### UTF8Reader

    public UTF8Reader(java.io.InputStream inputStream)

  Constructs a UTF-8 reader from the specified input stream using the default buffer size. Primarily for testing.
  Parameters:
    `inputStream` - The input stream.

### UTF8Reader

    public UTF8Reader(java.io.InputStream inputStream,
                      MessageFormatter messageFormatter,
                      java.util.Locale locale)

  Constructs a UTF-8 reader from the specified input stream using the default buffer size and the given MessageFormatter.
  Parameters:
    `inputStream` - The input stream.
    `messageFormatter` - given MessageFormatter
    `locale` - Locale to use for messages

### UTF8Reader

    public UTF8Reader(java.io.InputStream inputStream,
                      int size,
                      MessageFormatter messageFormatter,
                      java.util.Locale locale)

  Constructs a UTF-8 reader from the specified input stream, buffer size and MessageFormatter.
  Parameters:
    `inputStream` - The input stream.
    `size` - The initial buffer size.
    `messageFormatter` - the formatter for localizing/formatting errors.
    `locale` - the Locale to use for messages

Method Detail

### read

    public int read()
             throws java.io.IOException

  Read a single character. This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.

  Subclasses that intend to support efficient single-character input should override this method.

  Overrides:
    `read` in class `java.io.Reader`
  Returns:
    The character read, as an integer in the range 0 to 16383 (`0x00-0xffff`), or -1 if the end of the stream has been reached
  Throws:
    `java.io.IOException` - If an I/O error occurs

### read

    public int read(char[] ch,
                    int offset,
                    int length)
             throws java.io.IOException

  Read characters into a portion of an array. This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.
  Overrides:
    `read` in class `java.io.Reader`
  Parameters:
    `ch` - Destination buffer
    `offset` - Offset at which to start storing characters
    `length` - Maximum number of characters to read
  Returns:
    The number of characters read, or -1 if the end of the stream has been reached
  Throws:
    `java.io.IOException` - If an I/O error occurs

### skip

    public long skip(long n)
              throws java.io.IOException

  Skip characters. This method will block until some characters are available, an I/O error occurs, or the end of the stream is reached.
  Overrides:
    `skip` in class `java.io.Reader`
  Parameters:
    `n` - The number of characters to skip
  Returns:
    The number of characters actually skipped
  Throws:
    `java.io.IOException` - If an I/O error occurs

### ready

    public boolean ready()
                  throws java.io.IOException

  Tell whether this stream is ready to be read.
  Overrides:
    `ready` in class `java.io.Reader`
  Returns:
    True if the next read() is guaranteed not to block for input, false otherwise. Note that returning false does not guarantee that the next read will block.
  Throws:
    `java.io.IOException` - If an I/O error occurs

### markSupported

    public boolean markSupported()

  Tell whether this stream supports the mark() operation.
  Overrides:
    `markSupported` in class `java.io.Reader`

### mark

    public void mark(int readAheadLimit)
              throws java.io.IOException

  Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. Not all character-input streams support the mark() operation.
  Overrides:
    `mark` in class `java.io.Reader`
  Parameters:
    `readAheadLimit` - Limit on the number of characters that may be read while still preserving the mark. After reading this many characters, attempting to reset the stream may fail.
  Throws:
    `java.io.IOException` - If the stream does not support mark(), or if some other I/O error occurs

### reset

    public void reset()
               throws java.io.IOException

  Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point. Not all character-input streams support the reset() operation, and some support reset() without supporting mark().
  Overrides:
    `reset` in class `java.io.Reader`
  Throws:
    `java.io.IOException` - If the stream has not been marked, or if the mark has been invalidated, or if the stream does not support reset(), or if some other I/O error occurs

### close

    public void close()
               throws java.io.IOException

  Close the stream. Once a stream has been closed, further read(), ready(), mark(), or reset() invocations will throw an IOException. Closing a previously-closed stream, however, has no effect.
  Overrides:
    `close` in class `java.io.Reader`
  Throws:
    `java.io.IOException` - If an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.